Bug 264411 - Various SVG rendering issues
Summary: Various SVG rendering issues
Status: CONFIRMED
Alias: None
Product: karbon
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jan Hambrecht
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-27 04:08 UTC by Tim Climis
Modified: 2021-03-09 03:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Example SVG image: Inkscape on the left, Karbon on the right. (56.75 KB, image/png)
2011-01-27 04:08 UTC, Tim Climis
Details
Comparison of Kate icon: Inkscape left, Karbon right (64.26 KB, image/png)
2011-01-27 04:11 UTC, Tim Climis
Details
Actual SVG image to use as a test case. (14.11 KB, image/svg+xml)
2011-01-27 04:14 UTC, Tim Climis
Details
Shows working support for svg clipping (92.94 KB, image/png)
2011-03-13 18:03 UTC, Jan Hambrecht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Climis 2011-01-27 04:08:07 UTC
Created attachment 56458 [details]
Example SVG image: Inkscape on the left, Karbon on the right.

Version:           2.1 (using KDE 4.5.5) 
OS:                Linux

I was doing a review of the oxygen icon set and discovered that many of the icons have rendering issues in Karbon.

In the Kate icon, the text does not wrap properly, and there's a weird ink blot looking thing on the page.  In an alternate icon for Akregator, it appears that pieces of objects are supposed to be cut off, but aren't.  I both cases, there appear to be issues with layering.  (See attached screen shots of inkscape vs karbon.)

Reproducible: Didn't try
Comment 1 Tim Climis 2011-01-27 04:11:01 UTC
Created attachment 56459 [details]
Comparison of Kate icon: Inkscape left, Karbon right
Comment 2 Tim Climis 2011-01-27 04:14:28 UTC
Created attachment 56460 [details]
Actual SVG image to use as a test case.

Also, I should note that I'm actually using the latest Karbon -- 2.3.1.  I only put 2.1 because it was the latest in he dropdown list.
Comment 3 Jan Hambrecht 2011-01-29 00:33:45 UTC
Seems that there are various clip paths in akregator.svgz, which are not yet support by karbon.
Comment 4 Jan Hambrecht 2011-03-13 18:03:30 UTC
Created attachment 57925 [details]
Shows working support for svg clipping
Comment 5 Jan Hambrecht 2011-04-25 16:39:39 UTC
Git commit 17e268de6ab82fe1041254ac6c9e86ca0dbe59f4 by Jan Hambrecht.
Committed on 10/04/2011 at 22:44.
Pushed by jaham into branch 'master'.

added support for parsing and rendering character offsets

character offsets provide a way to position individual character
of a svg text shape other than by using the font specified advance
values. offsets can be specified as absolute offsets to the current
coordinate system or as relative offsets to the last character
position.

CCBUG:264411

A  +183  -0    filters/karbon/svg/SvgTextHelper.cpp         [License: LGPL (v2+)]
A  +86   -0    filters/karbon/svg/SvgTextHelper.h         [License: LGPL (v2+)]

http://commits.kde.org/calligra/17e268de6ab82fe1041254ac6c9e86ca0dbe59f4
Comment 6 Justin Zobel 2021-03-09 03:44:43 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.